Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev3
Class SendTrap

    java.lang.Object
      |
      +--uk.co.westhawk.examplev3.SendTrap

public class SendTrap
extends java.lang.Object

The SendTrap application sends a trap using the TrapPduv2.

The host, port, oid, etc can be configured in the properties file. The value for sysUpTime and snmpTrapOID are hard coded.

The name of the properties file can be passed as first argument to this application. If there is no such argument, it will look for `SendTrap.properties`. If this file does not exist, the application will use default parameters.

Version:
  $Revision: 1.9 $ $Date: 2006/02/21 14:08:20 $
Author:
  Birgit Arkesteijn
See Also:
  `TrapPduv2`

Field Summary
`static java.lang.String` | `authenticationFailure`
`static java.lang.String` | `coldStart`
`static java.lang.String` | `egpNeighborLoss`
`static java.lang.String` | `linkDown`
`static java.lang.String` | `linkUp`
`static java.lang.String` | `snmpTrapOID` The authoritative identification of the notification currently being sent.
`static java.lang.String` | `sysContact`
`static java.lang.String` | `sysUpTime`
`static java.lang.String` | `warmStart`

Constructor Summary
`SendTrap(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `init()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sysUpTime

    public static final java.lang.String sysUpTime

See Also:
  Constant Field Values

### sysContact

    public static final java.lang.String sysContact

See Also:
  Constant Field Values

### snmpTrapOID

    public static final java.lang.String snmpTrapOID

  The authoritative identification of the notification currently being sent. This variable occurs as the second varbind in every SNMPv2-Trap-PDU and InformRequest-PDU.

  See Also:
    Constant Field Values

### coldStart

    public static final java.lang.String coldStart

See Also:
  Constant Field Values

### warmStart

    public static final java.lang.String warmStart

See Also:
  Constant Field Values

### linkDown

    public static final java.lang.String linkDown

See Also:
  Constant Field Values

### linkUp

    public static final java.lang.String linkUp

See Also:
  Constant Field Values

### authenticationFailure

    public static final java.lang.String authenticationFailure

See Also:
  Constant Field Values

### egpNeighborLoss

    public static final java.lang.String egpNeighborLoss

See Also:
  Constant Field Values

Constructor Detail

### SendTrap

    public SendTrap(java.lang.String propertiesFilename)

  Constructor.

Parameters:
  `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD